/*
 * Jugador.java
 *
 * Created on 13 de octubre de 2006, 03:07 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package clases;

import java.io.Serializable;

/**
 * @author Alejandro Muoz Andrade - almunoz
 */
public class Jugador implements Serializable{
    public int numero;
    public String nombre;
    public String ficha;
    public boolean turno;
    public boolean asignado;
    public int numeroJuego;
    
    
    /**
     * Crea un nuevo objeto Jugador
     */
    public Jugador() {
        numero = 0;
        nombre = "Jugador";
        ficha = " ";
        turno = false;
        asignado = false;
        numeroJuego = 0;
    }
    
    /**
     * Crea un objeto Jugador
     * @param num El numero del jugador
     * @param tipo El tipo de ficha que tendra el jugador ("X" o "O")
     * @param turnoj El turno del jugador (true o false)
     * @param numJuego El numero del juego al cual va a pertenecer el jugador
     */
    public Jugador(int num, String tipo, boolean turnoj, int numJuego) {
        numero = num;
        nombre = "Jugador " + num ;
        ficha = tipo;
        turno = turnoj;
        asignado = false;
        numeroJuego = numJuego;
    }
    
    /**
     * Reinicia el jugador a sus valores iniciales
     * @param num El numero del jugador
     * @param tipo El tipo de ficha que tendra el jugador ("X" o "O")
     * @param turnoj El turno del jugador (true o false)
     */
    public void reiniciar(int num, String tipo, boolean turnoj) {
        numero = num;
        nombre = "Jugador " + num ;
        ficha = tipo;
        turno = turnoj;
        asignado = false;
        //numeroJuego = numJuego;
    }

}
